/**
  Sally Hiestand
  01/05/2003
  A BlackJack Player
 */

public class BlackJackPlayer {
  protected Card[] hand;
  protected int numCards;
  protected static final int MAX_CARDS = 10;

  public BlackJackPlayer() {
    hand = new Card[MAX_CARDS];
    numCards = 0;
  }

  public void hit(Dealer dealer) {
    if (numCards < MAX_CARDS)
      hand[numCards] = dealer.deal();
    numCards ++;
  }

  public int getNumCards() { return numCards; }

  public Card getCard(int pos) {
    return hand[pos];
  }
  public int getSum() {
     int cardSum = 0;
     int aces = 0;
     int value;
     for (int i = 0; i < numCards; i++) {
       value = hand[i].getPip();
       if (value > 10)
         value = 10;
       if (value == 1)
         aces ++;
       else
         cardSum = cardSum + value;
     }
     if (aces > 0) {
       if (21 - cardSum >= 11)    //check if first ace should be counted as 11 or 1
         cardSum = cardSum + 11;
       else
         cardSum ++;
       if (aces > 1)      //count all other aces as 1
         cardSum = cardSum + aces - 1;
     }
     return cardSum;
   }
}